post
https://yourwebhook.com/channel/courier_update
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
Courier Status Updates
Webhook events are triggered based on the following conditions. Early in the delivery process, events may be infrequent but become more regular after an order is assigned. The same status enum may be sent with updated details:
- Courier co-ordinates change
pickupTimeETAordeliveryTimeETAchanges by more than 60 seconds- Delivery status changes (e.g., DELIVERY_CREATED ā EN_ROUTE_TO_PICKUP)
- A courier is reassigned
ā Requires Integrated Dispatch
A Dispatch provider needs to be integrated in a customer location for courier status updates to be received
A Dispatch provider needs to be integrated in a customer location for courier status updates to be received
Definitions
The various attributes delivered with Courier status updates are listed in the link below;
Courier Statuses
For a full list of all courier status values, see the link below;
Example Courier Status Updates
{
"orderId": "651142e93c54c5405****6a3",
"channelOrderId": "T8****28",
"status": 87,
"deliveryTime": "YYYY-MM-DDT08:36:46.SSSSSSZ",
"courierName": "DRIVER NAME",
"coordinates": {
"coordinates": [
-4.294259666220875,
55.78873945318564
]
},
"courierId": "9B******HK",
"dispatchPartner": "COURIERAPP",
"trackingURL": "trackingURL"
}{
"orderId": "651142e93c54c5405****6a3",
"channelOrderId": "T8****29",
"status": 87,
"deliveryTime": "YYYY-MM-DDT08:36:46.SSSSSSZ",
"courierName": "DRIVER NAME",
"coordinates": {
"coordinates": [
-4.294259666220875,
55.78873945318564
]
},
"courierId": "9B******HL",
"dispatchPartner": "UBERDAAS",
"multipleDrivers": true
}The tracking URL is returned only when supported by the dispatch provider.
Response format
OK